## po-debiandoc 0.7.0

=== debian/changelog ===
po-debiandoc (0.7.0) unstable; urgency=low

  * Denis Barbier:
    - Rename debiandoc2po into debiandoc-gettextize in order to match
      po-debconf naming scheme.
    - Make po-debiandoc a Debian native package.
    - Build with debhelper 4.
    - Bump Standards-Version: 3.6.1, no changes needed.
  * Martin Quinson:
    - New man page: po-debiandoc(7)

 -- Denis Barbier <barbier@debian.org>  Fri, 24 Oct 2003 00:00:47 +0200

po-debiandoc (0.6.0-3) unstable; urgency=low

  * Replace Build-Depends by Build-Depends-Indep in control file

 -- Denis Barbier <barbier@debian.org>  Sat, 13 Jul 2002 18:43:50 +0200

po-debiandoc (0.6.0-2) unstable; urgency=low

  * Replace Architecture: any by all, as suggested by James Troup.

 -- Denis Barbier <barbier@debian.org>  Mon,  8 Jul 2002 00:20:10 +0200

po-debiandoc (0.6.0-1) unstable; urgency=low

  * First official Debian package (Closes: #150652)
  * Remove all references to older debiandoc-po in debian/control
  * Change gettext dependency from Recommands to Depends
  * move po-debiandoc-fix from /usr/bin/ to /usr/share/po-debiandoc/
  * po2debiandoc: replace -i flag by -W, and it is now enabled by
    default.
  * debiandoc2po debiandoc2pot po-debiandoc-fix: nsgmls gobbles a newline
    immediately following end tag delimiter (right angle bracket).
    For this reason, po-debiandoc-fix adds a space before newline (if
    invoked with -N flag), which is removed before displaying output.

 -- Denis Barbier <barbier@debian.org>  Wed, 26 Jun 2002 00:02:24 +0200

po-debiandoc (0.5.9-2) unstable; urgency=low

  * In po2debiandoc, sets $Text::Wrap::huge = 'overflow'; so that
    long URLs are not wrapped.

 -- Denis Barbier <barbier@debian.org>  Tue, 18 Jun 2002 21:36:46 +0200

po-debiandoc (0.5.9-1) unstable; urgency=low

  * Add -i option to po2debiandoc to wrap lines

 -- Denis Barbier <barbier@debian.org>  Tue, 28 May 2002 21:35:30 +0200

po-debiandoc (0.5.8-3) unstable; urgency=low

  * surround attribute value with single quotes when it contains
    double quotes.

 -- Denis Barbier <barbier@debian.org>  Tue, 23 Apr 2002 00:57:09 +0200

po-debiandoc (0.5.8-2) unstable; urgency=low

  * Fix 'po-debiandoc-fix -f chapter'

 -- Denis Barbier <barbier@debian.org>  Sun, 21 Apr 2002 22:01:18 +0200

po-debiandoc (0.5.8-1) unstable; urgency=low

  * po-debiandoc-fix debiandoc2po: new -r flag, to remove marked-section
    markup.

 -- Denis Barbier <barbier@debian.org>  Tue, 16 Apr 2002 21:47:34 +0200

po-debiandoc (0.5.7-1) unstable; urgency=low

  * debiandoc2po debiandoc2pot: remove dummy 'name="\\|\\|"' attributes
  * po-debiandoc-fix: previous patch was broken, it introduced extra <
    on output.
  * common options: replace -c by -f flag.  The latter accepts 'chapter'
    or 'appendix' as argument.

 -- Denis Barbier <barbier@debian.org>  Fri, 12 Apr 2002 00:32:40 +0200

po-debiandoc (0.5.6-1) unstable; urgency=low

  * po-debiandoc-fix: only move optional end tags around when they
    were added by spam.
  * po2debiandoc: do no more call spam

 -- Denis Barbier <barbier@debian.org>  Thu, 11 Apr 2002 00:19:49 +0200

po-debiandoc (0.5.5-1) unstable; urgency=low

  * po-debiandoc-fix: does no more depend upon File::Temp to
    help backporting on Potato
  * po-debiandoc-fix: speed up processing
  * po-debiandoc-fix: fix some bugs with marked sections
  * All programs: protect ampersand

 -- Denis Barbier <barbier@debian.org>  Tue,  9 Apr 2002 21:25:21 +0200

po-debiandoc (0.5.4-1) unstable; urgency=low

  * Add a link from po-debiandoc(1) to po-debiandoc-fix(1)
  * Rewrite po-debiandoc-fix, it now works better with marked section.
    There is one severe drawback: some spacing has changed, so strings
    may be marked fuzzy.  It can easily be checked with diff -w:
       debiandoc2pot foo.sgml > foo.pot
       msgmerge foo.xx.po foo.pot > new.po
       diff -w foo.xx.po new.po

 -- Denis Barbier <barbier@debian.org>  Tue,  9 Apr 2002 02:08:45 +0200

po-debiandoc (0.5.3-1) unstable; urgency=low

  * Improve po-debiandoc-fix to deal with inline inclusions

 -- Denis Barbier <barbier@debian.org>  Thu,  4 Apr 2002 00:47:22 +0200

po-debiandoc (0.5.2-2) unstable; urgency=low

  * Fix po2debiandoc, last message was not translated.

 -- Denis Barbier <barbier@debian.org>  Mon,  1 Apr 2002 23:51:52 +0200

po-debiandoc (0.5.2-1) unstable; urgency=low

  * New common options:
      -c,  --chapter      process fragment documents consisting of chapters
  * Add -m option to po2debiandoc to choose output content (translated
    strings, original or both).
  * Add -s option to po2debiandoc to replace text.
  * Remove -n flag, po-debiandoc-fix is now always passed on SGML documents
  * Rename po-debiandoc-norm into po-debiandoc-fix

 -- Denis Barbier <barbier@debian.org>  Sun, 31 Mar 2002 23:53:12 +0200

po-debiandoc (0.5.1-1) unstable; urgency=low

  * Remove doc/po-debiandoc.1 when cleaning up
  * Add -n option to normalize SGML documents before processing
  * Add -P option to po2debiandoc
  * Finish po-debiandoc-norm, it seems to work

 -- Denis Barbier <barbier@debian.org>  Mon, 25 Mar 2002 18:14:24 +0100

po-debiandoc (0.5.0-1) unstable; urgency=low

  * All suggestions are from Martin Quinson, thanks
  * Rename debiandoc-po into po-debiandoc
  * Remove -I flag, it is useless now
  * Fix header in PO file
  * Rename debiandoc-po.pod into doc/po-debiandoc.pod

 -- Denis Barbier <barbier@debian.org>  Fri, 22 Mar 2002 23:47:06 +0100
