=== debian/control ===
Source: po-debiandoc
Section: text
Priority: optional
Maintainer: Denis Barbier <barbier@debian.org>
Standards-Version: 3.6.1
Build-Depends-Indep: debhelper (>= 4.0.0)

Package: po-debiandoc
Architecture: all
Depends: perl | perl5, libsgmls-perl, sp, gettext
Description: Tools for helping translation of DebianDoc-SGML documents
 This package contains tools for helping translation of Debian manuals
 written in DebianDoc SGML format by using PO files and common gettext
 utilities.
